# TODO
# - config to /etc
%define		ver	%(echo %{version} | tr . _)
Summary:	TCPDF - PHP class for PDF
Name:		php-tcpdf
Version:	5.9.150
Release:	2
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	http://downloads.sourceforge.net/tcpdf/tcpdf_%{ver}.zip
# Source0-md5:	87bae23323f2f6bca1ec0c2680674307
URL:		http://www.tcpdf.org/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires(triggerpostun):	sed >= 4.0
Requires:	php(core) >= 5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/tcpdf
%define		_phpdocdir		%{_docdir}/phpdoc

%description
Generic TCPDF screenshot TCPDF is a PHP class for generating PDF
documents without requiring external extensions. TCPDF Supports UTF-8,
Unicode, RTL languages and HTML.

%package phpdoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	php-dirs

%description phpdoc
Documentation for %{name}.

%description phpdoc -l pl.UTF-8
Dokumentacja do %{name}.

%prep
%setup -q -n tcpdf

%{__sed} -i -e 's,\r$,,' *.TXT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_examplesdir}/%{name}-%{version}}

cp -a *.php config fonts images $RPM_BUILD_ROOT%{_appdir}

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_phpdocdir}/%{name}
cp -a doc/* $RPM_BUILD_ROOT%{_phpdocdir}/%{name}

rm -rf $RPM_BUILD_ROOT%{_appdir}/fonts/*-*
rm -rf $RPM_BUILD_ROOT%{_appdir}/fonts/utils

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.TXT README.TXT
%{_appdir}

%{_examplesdir}/%{name}-%{version}

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/%{name}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c0a0b18
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Sat Mar 17 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ac05e
- up to 5.9.150

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a13238b
- new url

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cb46ca6
- up to 5.9.144

* Sun May 16 2010 sparky <sparky@pld-linux.org> ec0c976
- BR: unzip

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 2be9618
- updated to 4.8.021

* Wed Oct 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 606dbd8
- up to 4.8.013

* Sat Apr 25 2009 Adam Gołębiowski <adamg@pld-linux.org> fcf3ed7
- updated to 4.6.003

* Sat Mar 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 844a8f0
- updated to 4.5.023

* Thu Feb 26 2009 Adam Gołębiowski <adamg@pld-linux.org> f2b4a2f
- updated to 4.5.016

* Fri Feb 13 2009 Adam Gołębiowski <adamg@pld-linux.org> af00551
- updated to 4.5.013

* Wed Feb 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a45d22
- drop binaries

* Wed Feb 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a07069c
- up to 4.5.010

* Fri Jan 23 2009 duddits <duddits@pld-linux.org> afdc387
- up to 4.5.005

* Wed Dec 31 2008 duddits <duddits@pld-linux.org> 32ddf09
- up to 4.4.009

* Mon Dec 08 2008 duddits <duddits@pld-linux.org> 240168a
- up to 4.4.000

* Sun Oct 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 7064bdc
- updated to 4.1.000

* Fri Oct 10 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> ce409dc
- updated to 4.0.031

* Thu Oct 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ca02596
- up to 4.0.029

* Thu Jul 17 2008 Elan Ruusamäe <glen@pld-linux.org> ba84953
- new, never tested

